Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227070 - Review Request: jflex-1.3.5-2jpp - Fast Scanner Generator
Summary: Review Request: jflex-1.3.5-2jpp - Fast Scanner Generator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:41 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-06 22:12:46 UTC
pcheung: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:41:05 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jflex-1.3.5-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jflex-1.3.5-2jpp.src.rpm
Description: JFlex is a lexical analyzer generator (also known as scanner
generator) for Java(tm), written in Java(tm). It is also a
rewrite of the very useful tool JLex which was developed by
Elliot Berk at Princeton University. As Vern Paxson states
for his C/C++ tool flex: They do not share any code though.
JFlex is designed to work together with the LALR parser
generator CUP by Scott Hudson, and the Java modification of
Berkeley Yacc BYacc/J by Bob Jamison. It can also be used
together with other parser generators like ANTLR or as a
standalone tool.

Javadoc for jflex.

Comment 1 Permaine Cheung 2007-02-12 21:24:01 UTC
MUST:
* package is named appropriately
* is it legal for Fedora to distribute this?
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* verify source and patches (md5sum matches upstream, know what the patches do)
* skim the summary and description for typos, etc.
X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
X license text included in package and marked with %doc
COPYRIGHT missing from %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
 - this is OK : W: jflex non-standard-group Development/Libraries/Java
* changelog should be in one of these formats:
 
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.
 
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.
 
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.
 
* Packager tag should not be used
* Vendor tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - Get rid of Vendor and Distribution tag
 - Source0 should be: http://downloads.sourceforge.net/jflex/jflex-1.3.5.tar.gz
 - Fix release 2jpp.1%{?dist}
* package successfully compiles and builds on at least x86
* BuildRequires are proper
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
X make sure lines are <= 80 characters
line 89 is longer than 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
[pcheung@topcat ~]$ rpm -qpl --provides
/home/pcheung/topdir/RPMS/noarch/jflex-1.3.5-2jpp.noarch.rpm
jflex = 0:1.3.5-2jpp
/usr/share/doc/jflex-1.3.5
/usr/share/doc/jflex-1.3.5/COPYRIGHT
/usr/share/doc/jflex-1.3.5/faq.html
/usr/share/doc/jflex-1.3.5/foot_motif.gif
/usr/share/doc/jflex-1.3.5/jflex_anttask.html
/usr/share/doc/jflex-1.3.5/logo.gif
/usr/share/doc/jflex-1.3.5/manual.css
/usr/share/doc/jflex-1.3.5/manual.html
/usr/share/doc/jflex-1.3.5/manual.pdf
/usr/share/doc/jflex-1.3.5/manual.ps.gz
/usr/share/java/jflex-1.3.5.jar
/usr/share/java/jflex.jar
[pcheung@topcat ~]$ rpm -qpl --requires
/home/pcheung/topdir/RPMS/noarch/jflex-1.3.5-2jpp.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
/usr/share/doc/jflex-1.3.5
/usr/share/doc/jflex-1.3.5/COPYRIGHT
/usr/share/doc/jflex-1.3.5/faq.html
/usr/share/doc/jflex-1.3.5/foot_motif.gif
/usr/share/doc/jflex-1.3.5/jflex_anttask.html
/usr/share/doc/jflex-1.3.5/logo.gif
/usr/share/doc/jflex-1.3.5/manual.css
/usr/share/doc/jflex-1.3.5/manual.html
/usr/share/doc/jflex-1.3.5/manual.pdf
/usr/share/doc/jflex-1.3.5/manual.ps.gz
/usr/share/java/jflex-1.3.5.jar
/usr/share/java/jflex.jar
[pcheung@topcat ~]$ rpm -qpl --provides
/home/pcheung/topdir/RPMS/noarch/jflex-javadoc-1.3.5-2jpp.noarch.rpm
jflex-javadoc = 0:1.3.5-2jpp
/usr/share/javadoc/jflex-1.3.5
/usr/share/javadoc/jflex-1.3.5/JFlex
/usr/share/javadoc/jflex-1.3.5/JFlex/Action.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharClassException.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharClassIntervall.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharClasses.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharSet.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharSetEnumerator.html
/usr/share/javadoc/jflex-1.3.5/JFlex/DFA.html
/usr/share/javadoc/jflex-1.3.5/JFlex/EOFActions.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Emitter.html
/usr/share/javadoc/jflex-1.3.5/JFlex/ErrorMessages.html
/usr/share/javadoc/jflex-1.3.5/JFlex/GeneratorException.html
/usr/share/javadoc/jflex-1.3.5/JFlex/IntCharSet.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Intervall.html
/usr/share/javadoc/jflex-1.3.5/JFlex/LexParse.html
/usr/share/javadoc/jflex-1.3.5/JFlex/LexScan.html
/usr/share/javadoc/jflex-1.3.5/JFlex/LexicalStates.html
/usr/share/javadoc/jflex-1.3.5/JFlex/MacroException.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Macros.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Main.html
/usr/share/javadoc/jflex-1.3.5/JFlex/NFA.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Out.html
/usr/share/javadoc/jflex-1.3.5/JFlex/RegExp.html
/usr/share/javadoc/jflex-1.3.5/JFlex/RegExp1.html
/usr/share/javadoc/jflex-1.3.5/JFlex/RegExp2.html
/usr/share/javadoc/jflex-1.3.5/JFlex/RegExps.html
/usr/share/javadoc/jflex-1.3.5/JFlex/ScannerException.html
/usr/share/javadoc/jflex-1.3.5/JFlex/SemCheck.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Skeleton.html
/usr/share/javadoc/jflex-1.3.5/JFlex/StatePairList.html
/usr/share/javadoc/jflex-1.3.5/JFlex/StateSet.html
/usr/share/javadoc/jflex-1.3.5/JFlex/StateSetEnumerator.html
/usr/share/javadoc/jflex-1.3.5/JFlex/StdOutWriter.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Timer.html
/usr/share/javadoc/jflex-1.3.5/JFlex/package-frame.html
/usr/share/javadoc/jflex-1.3.5/JFlex/package-summary.html
/usr/share/javadoc/jflex-1.3.5/JFlex/package-tree.html
/usr/share/javadoc/jflex-1.3.5/JFlex/sym.html
/usr/share/javadoc/jflex-1.3.5/allclasses-frame.html
/usr/share/javadoc/jflex-1.3.5/allclasses-noframe.html
/usr/share/javadoc/jflex-1.3.5/constant-values.html
/usr/share/javadoc/jflex-1.3.5/deprecated-list.html
/usr/share/javadoc/jflex-1.3.5/help-doc.html
/usr/share/javadoc/jflex-1.3.5/index-all.html
/usr/share/javadoc/jflex-1.3.5/index.html
/usr/share/javadoc/jflex-1.3.5/overview-tree.html
/usr/share/javadoc/jflex-1.3.5/package-list
/usr/share/javadoc/jflex-1.3.5/packages.html
/usr/share/javadoc/jflex-1.3.5/resources
/usr/share/javadoc/jflex-1.3.5/resources/inherit.gif
/usr/share/javadoc/jflex-1.3.5/serialized-form.html
/usr/share/javadoc/jflex-1.3.5/stylesheet.css
[pcheung@topcat ~]$ rpm -qpl --requires
/home/pcheung/topdir/RPMS/noarch/jflex-javadoc-1.3.5-2jpp.noarch.rpm
/bin/sh
/bin/sh
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
/usr/share/javadoc/jflex-1.3.5
/usr/share/javadoc/jflex-1.3.5/JFlex
/usr/share/javadoc/jflex-1.3.5/JFlex/Action.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharClassException.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharClassIntervall.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharClasses.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharSet.html
/usr/share/javadoc/jflex-1.3.5/JFlex/CharSetEnumerator.html
/usr/share/javadoc/jflex-1.3.5/JFlex/DFA.html
/usr/share/javadoc/jflex-1.3.5/JFlex/EOFActions.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Emitter.html
/usr/share/javadoc/jflex-1.3.5/JFlex/ErrorMessages.html
/usr/share/javadoc/jflex-1.3.5/JFlex/GeneratorException.html
/usr/share/javadoc/jflex-1.3.5/JFlex/IntCharSet.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Intervall.html
/usr/share/javadoc/jflex-1.3.5/JFlex/LexParse.html
/usr/share/javadoc/jflex-1.3.5/JFlex/LexScan.html
/usr/share/javadoc/jflex-1.3.5/JFlex/LexicalStates.html
/usr/share/javadoc/jflex-1.3.5/JFlex/MacroException.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Macros.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Main.html
/usr/share/javadoc/jflex-1.3.5/JFlex/NFA.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Out.html
/usr/share/javadoc/jflex-1.3.5/JFlex/RegExp.html
/usr/share/javadoc/jflex-1.3.5/JFlex/RegExp1.html
/usr/share/javadoc/jflex-1.3.5/JFlex/RegExp2.html
/usr/share/javadoc/jflex-1.3.5/JFlex/RegExps.html
/usr/share/javadoc/jflex-1.3.5/JFlex/ScannerException.html
/usr/share/javadoc/jflex-1.3.5/JFlex/SemCheck.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Skeleton.html
/usr/share/javadoc/jflex-1.3.5/JFlex/StatePairList.html
/usr/share/javadoc/jflex-1.3.5/JFlex/StateSet.html
/usr/share/javadoc/jflex-1.3.5/JFlex/StateSetEnumerator.html
/usr/share/javadoc/jflex-1.3.5/JFlex/StdOutWriter.html
/usr/share/javadoc/jflex-1.3.5/JFlex/Timer.html
/usr/share/javadoc/jflex-1.3.5/JFlex/package-frame.html
/usr/share/javadoc/jflex-1.3.5/JFlex/package-summary.html
/usr/share/javadoc/jflex-1.3.5/JFlex/package-tree.html
/usr/share/javadoc/jflex-1.3.5/JFlex/sym.html
/usr/share/javadoc/jflex-1.3.5/allclasses-frame.html
/usr/share/javadoc/jflex-1.3.5/allclasses-noframe.html
/usr/share/javadoc/jflex-1.3.5/constant-values.html
/usr/share/javadoc/jflex-1.3.5/deprecated-list.html
/usr/share/javadoc/jflex-1.3.5/help-doc.html
/usr/share/javadoc/jflex-1.3.5/index-all.html
/usr/share/javadoc/jflex-1.3.5/index.html
/usr/share/javadoc/jflex-1.3.5/overview-tree.html
/usr/share/javadoc/jflex-1.3.5/package-list
/usr/share/javadoc/jflex-1.3.5/packages.html
/usr/share/javadoc/jflex-1.3.5/resources
/usr/share/javadoc/jflex-1.3.5/resources/inherit.gif
/usr/share/javadoc/jflex-1.3.5/serialized-form.html
/usr/share/javadoc/jflex-1.3.5/stylesheet.css
 
* run rpmlint on the binary RPMs
W: jflex non-standard-group Development/Libraries/Java
W: jflex wrong-file-end-of-line-encoding /usr/share/doc/jflex-1.3.5/COPYRIGHT
W: jflex uncompressed-zip /usr/share/java/jflex-1.3.5.jar
W: jflex-javadoc non-standard-group Development/Documentation
W: jflex-javadoc dangerous-command-in-%post rm
W: jflex-javadoc dangerous-command-in-%postun rm
 
SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
built on i386
* package should build in mock
i don't have mock set up yet
 


Comment 2 Matt Wringe 2007-02-13 16:20:35 UTC
(In reply to comment #1)
> ...
> X correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
done

> * if %{?dist} is used, it should be in that form (note the ? and %
> locations)
> X license text included in package and marked with %doc
> COPYRIGHT missing from %doc
done

> ... 
> X specfile is legible
>  - Get rid of Vendor and Distribution tag
done

>  - Source0 should be: http://downloads.sourceforge.net/jflex/jflex-1.3.5.tar.gz
done

>  - Fix release 2jpp.1%{?dist}
done

> ...
> X make sure lines are <= 80 characters
> line 89 is longer than 80 characters
done

>...
> * run rpmlint on the binary RPMs
> W: jflex non-standard-group Development/Libraries/Java
> W: jflex wrong-file-end-of-line-encoding /usr/share/doc/jflex-1.3.5/COPYRIGHT
> W: jflex uncompressed-zip /usr/share/java/jflex-1.3.5.jar
> W: jflex-javadoc non-standard-group Development/Documentation
> W: jflex-javadoc dangerous-command-in-%post rm
> W: jflex-javadoc dangerous-command-in-%postun rm
No warnings or errors other than about groups (which can be safely ignored) 

New spec file can be found here:
https://mwringe.108.redhat.com/files/documents/175/209/jflex.spec

New srpm can be found here:
https://mwringe.108.redhat.com/files/documents/175/210/jflex-1.3.5-2jpp.1.fc7.src.rpm

Comment 3 Permaine Cheung 2007-02-13 16:33:28 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > ...
> > X correct buildroot
> >  - should be:
> >    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> done
> 
Thanks.
> > * if %{?dist} is used, it should be in that form (note the ? and %
> > locations)
There's an extra . before %{?dist}

> > X license text included in package and marked with %doc
> > COPYRIGHT missing from %doc
> done
> 
It's now in the doc subpackage, but I think it should stay in the main package
with a %doc flag in the %files section.
> > ... 
> > X specfile is legible
> >  - Get rid of Vendor and Distribution tag
> done
> 
Thanks
> >  - Source0 should be: http://downloads.sourceforge.net/jflex/jflex-1.3.5.tar.gz
> done
Thanks
> 
> >  - Fix release 2jpp.1%{?dist}
> done
> 
Please note no . after 1.
> > ...
> > X make sure lines are <= 80 characters
> > line 89 is longer than 80 characters
> done
> 
Great
> >...
> > * run rpmlint on the binary RPMs
> > W: jflex non-standard-group Development/Libraries/Java
> > W: jflex wrong-file-end-of-line-encoding /usr/share/doc/jflex-1.3.5/COPYRIGHT
> > W: jflex uncompressed-zip /usr/share/java/jflex-1.3.5.jar
> > W: jflex-javadoc non-standard-group Development/Documentation
> > W: jflex-javadoc dangerous-command-in-%post rm
> > W: jflex-javadoc dangerous-command-in-%postun rm
> No warnings or errors other than about groups (which can be safely ignored) 
> 
> New spec file can be found here:
> https://mwringe.108.redhat.com/files/documents/175/209/jflex.spec
> 
> New srpm can be found here:
>
https://mwringe.108.redhat.com/files/documents/175/210/jflex-1.3.5-2jpp.1.fc7.src.rpm

rpmlint now gives:
W: jflex non-standard-group Development/Libraries/Java
W: jflex non-standard-group Development/Libraries/Java
W: jflex incoherent-version-in-changelog 0:1.3.5-2jpp.1 0:1.3.5-2jpp.1.
W: jflex uncompressed-zip /usr/share/java/jflex-1.3.5.jar
W: jflex-javadoc non-standard-group Development/Documentation



Comment 4 Matt Wringe 2007-02-13 18:21:42 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > ...
> > > X correct buildroot
> > >  - should be:
> > >    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> > done
> > 
> Thanks.
> > > * if %{?dist} is used, it should be in that form (note the ? and %
> > > locations)
> There's an extra . before %{?dist}
Oops, fixed.

> > > X license text included in package and marked with %doc
> > > COPYRIGHT missing from %doc
> > done
> > 
> It's now in the doc subpackage, but I think it should stay in the main package
> with a %doc flag in the %files section.
There is no doc subpackage, the doc files are being marked with %doc in the main
package's %file section.

> > > ... 
> > > X specfile is legible
> > >  - Get rid of Vendor and Distribution tag
> > done
> > 
> Thanks
> > >  - Source0 should be:
http://downloads.sourceforge.net/jflex/jflex-1.3.5.tar.gz
> > done
> Thanks
> > 
> > >  - Fix release 2jpp.1%{?dist}
> > done
> > 
> Please note no . after 1.
> > > ...
> > > X make sure lines are <= 80 characters
> > > line 89 is longer than 80 characters
> > done
> > 
> Great
> > >...
> > > * run rpmlint on the binary RPMs
> > > W: jflex non-standard-group Development/Libraries/Java
> > > W: jflex wrong-file-end-of-line-encoding /usr/share/doc/jflex-1.3.5/COPYRIGHT
> > > W: jflex uncompressed-zip /usr/share/java/jflex-1.3.5.jar
> > > W: jflex-javadoc non-standard-group Development/Documentation
> > > W: jflex-javadoc dangerous-command-in-%post rm
> > > W: jflex-javadoc dangerous-command-in-%postun rm
> > No warnings or errors other than about groups (which can be safely ignored) 
> > 
> > New spec file can be found here:
> > https://mwringe.108.redhat.com/files/documents/175/209/jflex.spec
> > 
> > New srpm can be found here:
> >
>
https://mwringe.108.redhat.com/files/documents/175/210/jflex-1.3.5-2jpp.1.fc7.src.rpm
> 
> rpmlint now gives:
> W: jflex non-standard-group Development/Libraries/Java
> W: jflex non-standard-group Development/Libraries/Java
> W: jflex incoherent-version-in-changelog 0:1.3.5-2jpp.1 0:1.3.5-2jpp.1.
> W: jflex uncompressed-zip /usr/share/java/jflex-1.3.5.jar
> W: jflex-javadoc non-standard-group Development/Documentation
hmm, not getting the uncompressed-zip on my version.

The spec file and srpm has been updated to the same location 
 



Comment 5 Permaine Cheung 2007-02-13 21:30:03 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #2)
> > > (In reply to comment #1)
> > > > ...
> > > > X correct buildroot
> > > >  - should be:
> > > >    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> > > done
> > > 
> > Thanks.
> > > > * if %{?dist} is used, it should be in that form (note the ? and %
> > > > locations)
> > There's an extra . before %{?dist}
> Oops, fixed.
> 
Great!
> > > > X license text included in package and marked with %doc
> > > > COPYRIGHT missing from %doc
> > > done
> > > 
> > It's now in the doc subpackage, but I think it should stay in the main package
> > with a %doc flag in the %files section.
> There is no doc subpackage, the doc files are being marked with %doc in the main
> package's %file section.
> 
Sorry.. read it incorrectly earlier.
> > > > ... 
> > > > X specfile is legible
> > > >  - Get rid of Vendor and Distribution tag
> > > done
> > > 
> > Thanks
> > > >  - Source0 should be:
> http://downloads.sourceforge.net/jflex/jflex-1.3.5.tar.gz
> > > done
> > Thanks
> > > 
> > > >  - Fix release 2jpp.1%{?dist}
> > > done
> > > 
> > Please note no . after 1.
> > > > ...
> > > > X make sure lines are <= 80 characters
> > > > line 89 is longer than 80 characters
> > > done
> > > 
> > Great
> > > >...
> > > > * run rpmlint on the binary RPMs
> > > > W: jflex non-standard-group Development/Libraries/Java
> > > > W: jflex wrong-file-end-of-line-encoding
/usr/share/doc/jflex-1.3.5/COPYRIGHT
> > > > W: jflex uncompressed-zip /usr/share/java/jflex-1.3.5.jar
> > > > W: jflex-javadoc non-standard-group Development/Documentation
> > > > W: jflex-javadoc dangerous-command-in-%post rm
> > > > W: jflex-javadoc dangerous-command-in-%postun rm
> > > No warnings or errors other than about groups (which can be safely ignored) 
> > > 
> > > New spec file can be found here:
> > > https://mwringe.108.redhat.com/files/documents/175/209/jflex.spec
> > > 
> > > New srpm can be found here:
> > >
> >
>
https://mwringe.108.redhat.com/files/documents/175/210/jflex-1.3.5-2jpp.1.fc7.src.rpm
> > 
> > rpmlint now gives:
> > W: jflex non-standard-group Development/Libraries/Java
> > W: jflex non-standard-group Development/Libraries/Java
> > W: jflex incoherent-version-in-changelog 0:1.3.5-2jpp.1 0:1.3.5-2jpp.1.
> > W: jflex uncompressed-zip /usr/share/java/jflex-1.3.5.jar
> > W: jflex-javadoc non-standard-group Development/Documentation
> hmm, not getting the uncompressed-zip on my version.
> 
I'm not seeing this anymore as well.
> The spec file and srpm has been updated to the same location 
>  
> 
> 
I've built it successfully in mock, rpmlint on the final src and binary rpms gives:
[pcheung@to-fcjpp1 ~]$ rpmlint 
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/jflex-1.3.5-2jpp.1.fc7.src.rpm
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/jflex-1.3.5-2jpp.1.fc7.noarch.rpm
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/jflex-javadoc-1.3.5-2jpp.1.fc7.noarch.rpm
W: jflex non-standard-group Development/Libraries/Java
W: jflex non-standard-group Development/Libraries/Java
W: jflex-javadoc non-standard-group Development/Documentation


APPROVED. Thanks!


Comment 6 Matt Wringe 2007-03-06 15:49:05 UTC
New Package CVS Request
=======================
Package Name: jflex
Short Description: Fast Scanner Generator
Owners: mwringe@redhat.com
Branches: devel
InitialCC: 

Comment 7 Matt Wringe 2007-03-06 22:12:46 UTC
Package built into plague. Closing as NEXTRELEASE


Note You need to log in before you can comment on or make changes to this bug.